Permalink
Browse files

Add an aruba dependency so the cucumber tests can run.

  • Loading branch information...
mike-burns committed Aug 26, 2011
1 parent f1baf02 commit 5190a39bba699d4989c2500c98622b505e2de828
Showing with 48 additions and 35 deletions.
  1. +17 −11 gemfiles/3.0.3.gemfile.lock
  2. +30 −24 gemfiles/3.1.0.rc1.gemfile.lock
  3. +1 −0 shoulda-matchers.gemspec
@@ -33,19 +33,22 @@ GEM
activemodel (= 3.0.3)
activesupport (= 3.0.3)
activesupport (3.0.3)
- appraisal (0.3.5)
- aruba (~> 0.3.6)
+ appraisal (0.3.8)
bundler
rake
arel (2.0.10)
- aruba (0.3.7)
+ aruba (0.4.5)
+ bcat (>= 0.6.1)
childprocess (>= 0.1.9)
- cucumber (>= 0.10.5)
+ cucumber (>= 0.10.7)
+ rdiscount (>= 1.6.8)
rspec (>= 2.6.0)
+ bcat (0.6.1)
+ rack (~> 1.0)
builder (2.1.2)
- childprocess (0.1.9)
+ childprocess (0.2.1)
ffi (~> 1.0.6)
- columnize (0.3.3)
+ columnize (0.3.4)
cucumber (0.10.7)
builder (>= 2.1.2)
diff-lcs (>= 1.1.2)
@@ -56,7 +59,7 @@ GEM
erubis (2.6.6)
abstract (>= 1.0.0)
ffi (1.0.9)
- gherkin (2.4.1)
+ gherkin (2.4.16)
json (>= 1.4.6)
i18n (0.6.0)
json (1.5.3)
@@ -69,7 +72,7 @@ GEM
treetop (~> 1.4.8)
mime-types (1.16)
mocha (0.9.12)
- polyglot (0.3.1)
+ polyglot (0.3.2)
rack (1.2.3)
rack-mount (0.6.14)
rack (>= 1.0.0)
@@ -90,6 +93,7 @@ GEM
thor (~> 0.14.4)
rake (0.8.7)
rbx-require-relative (0.0.5)
+ rdiscount (1.6.8)
rspec (2.6.0)
rspec-core (~> 2.6.0)
rspec-expectations (~> 2.6.0)
@@ -108,12 +112,13 @@ GEM
ruby-debug-base (~> 0.10.4.0)
ruby-debug-base (0.10.4)
linecache (>= 0.3)
- sqlite3 (1.3.3)
+ sqlite3 (1.3.4)
sqlite3-ruby (1.3.3)
sqlite3 (>= 1.3.3)
- term-ansicolor (1.0.5)
+ term-ansicolor (1.0.6)
thor (0.14.6)
- treetop (1.4.9)
+ treetop (1.4.10)
+ polyglot
polyglot (>= 0.3.1)
tzinfo (0.3.29)
@@ -122,6 +127,7 @@ PLATFORMS
DEPENDENCIES
appraisal (~> 0.3.4)
+ aruba
cucumber (~> 0.10.0)
mocha (~> 0.9.10)
rails (= 3.0.3)
@@ -36,24 +36,27 @@ GEM
activesupport (= 3.1.0.rc1)
activesupport (3.1.0.rc1)
multi_json (~> 1.0)
- appraisal (0.3.5)
- aruba (~> 0.3.6)
+ appraisal (0.3.8)
bundler
rake
- arel (2.1.3)
- aruba (0.3.7)
+ arel (2.1.4)
+ aruba (0.4.5)
+ bcat (>= 0.6.1)
childprocess (>= 0.1.9)
- cucumber (>= 0.10.5)
+ cucumber (>= 0.10.7)
+ rdiscount (>= 1.6.8)
rspec (>= 2.6.0)
+ bcat (0.6.1)
+ rack (~> 1.0)
bcrypt-ruby (2.1.4)
builder (3.0.0)
- childprocess (0.1.9)
+ childprocess (0.2.1)
ffi (~> 1.0.6)
coffee-script (2.2.0)
coffee-script-source
execjs
- coffee-script-source (1.1.1)
- columnize (0.3.3)
+ coffee-script-source (1.1.2)
+ columnize (0.3.4)
cucumber (0.10.7)
builder (>= 2.1.2)
diff-lcs (>= 1.1.2)
@@ -62,14 +65,14 @@ GEM
term-ansicolor (>= 1.0.5)
diff-lcs (1.1.2)
erubis (2.7.0)
- execjs (1.2.0)
+ execjs (1.2.4)
multi_json (~> 1.0)
ffi (1.0.9)
- gherkin (2.4.1)
+ gherkin (2.4.16)
json (>= 1.4.6)
- hike (1.1.0)
+ hike (1.2.1)
i18n (0.6.0)
- jquery-rails (1.0.12)
+ jquery-rails (1.0.13)
railties (~> 3.0)
thor (~> 0.14)
json (1.5.3)
@@ -82,15 +85,15 @@ GEM
mime-types (1.16)
mocha (0.9.12)
multi_json (1.0.3)
- polyglot (0.3.1)
- rack (1.3.0)
+ polyglot (0.3.2)
+ rack (1.3.2)
rack-cache (1.0.2)
rack (>= 0.4)
- rack-mount (0.8.1)
+ rack-mount (0.8.2)
rack (>= 1.0.0)
rack-ssl (1.3.2)
rack
- rack-test (0.6.0)
+ rack-test (0.6.1)
rack (>= 1.0)
rails (3.1.0.rc1)
actionmailer (= 3.1.0.rc1)
@@ -108,6 +111,7 @@ GEM
thor (~> 0.14.6)
rake (0.8.7)
rbx-require-relative (0.0.5)
+ rdiscount (1.6.8)
rspec (2.6.0)
rspec-core (~> 2.6.0)
rspec-expectations (~> 2.6.0)
@@ -126,21 +130,22 @@ GEM
ruby-debug-base (~> 0.10.4.0)
ruby-debug-base (0.10.4)
linecache (>= 0.3)
- sass (3.1.3)
- sprockets (2.0.0.beta.11)
- hike (~> 1.1)
+ sass (3.1.7)
+ sprockets (2.0.0.beta.15)
+ hike (~> 1.2)
rack (~> 1.0)
tilt (!= 1.3.0, ~> 1.1)
- sqlite3 (1.3.3)
+ sqlite3 (1.3.4)
sqlite3-ruby (1.3.3)
sqlite3 (>= 1.3.3)
- term-ansicolor (1.0.5)
+ term-ansicolor (1.0.6)
thor (0.14.6)
- tilt (1.3.2)
- treetop (1.4.9)
+ tilt (1.3.3)
+ treetop (1.4.10)
+ polyglot
polyglot (>= 0.3.1)
tzinfo (0.3.29)
- uglifier (1.0.0)
+ uglifier (1.0.1)
execjs (>= 0.3.0)
multi_json (>= 1.0.2)
@@ -149,6 +154,7 @@ PLATFORMS
DEPENDENCIES
appraisal (~> 0.3.4)
+ aruba
coffee-script
cucumber (~> 0.10.0)
jquery-rails
View
@@ -24,6 +24,7 @@ Gem::Specification.new do |s|
s.add_development_dependency("rspec-rails", "~> 2.6.1.beta1")
s.add_development_dependency("cucumber", "~> 0.10.0")
s.add_development_dependency("appraisal", "~> 0.3.4")
+ s.add_development_dependency("aruba")
if RUBY_VERSION >= "1.9"
s.add_development_dependency("ruby-debug19", "~> 0.11.6")

0 comments on commit 5190a39

Please sign in to comment.